%define upstream_name    MooseX-Declare
%define upstream_version 0.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Handle method modifier declarations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Devel::Declare) >= 0.5.11
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(FindBin)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Moose) >= 0.900.0
BuildRequires: perl(Moose::Meta::Class)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(MooseX::Method::Signatures) >= 0.360.0
BuildRequires: perl(MooseX::Method::Signatures::Meta::Method)
BuildRequires: perl(MooseX::Method::Signatures::Types)
BuildRequires: perl(MooseX::Role::Parameterized) >= 0.120.0
BuildRequires: perl(MooseX::Types::Moose) >= 0.200.0
BuildRequires: perl(MooseX::Types::Structured)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Sub::Install)
BuildRequires: perl(Test::CheckDeps)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(aliased)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(namespace::clean) >= 0.110.0
BuildRequires: perl(overload)
BuildArch:  noarch

%description
This module provides syntactic sugar for Moose, the postmodern object
system for Perl 5. When used, it sets up the 'class' and 'role' keywords.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.370.0-2.mga4
+ Revision: 537795
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.370.0-1.mga4
+ Revision: 487755
- update to 0.37

* Tue Sep 10 2013 sander85 <sander85> 0.360.0-1.mga4
+ Revision: 477103
- update to 0.36

* Sun Jan 13 2013 umeabot <umeabot> 0.350.0-2.mga3
+ Revision: 370164
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.35

* Wed Jan 26 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 41113
- mageia rebuild
- imported package perl-MooseX-Declare

